Subject: Re: Question on IPv6 Route table.

From: Ray Hunter <[email-masked]>
Date: Mon, 26 Sep 2011 13:25:46 +0200

IMHO there is no requirement AFAIK for there to be a SINGLE default 
route for any address family (either IPv4 or IPv6). If there are 
multiple candidate default routes available, most sensible systems will 
install the default route with the lowest administrative distance into 
the forwarding table (with the admin distance being set based on how the 
route was learned). The administrative distance is a local system 
parameter and has not been standardized e.g. an administrator might 
decide to trust statically configured routing entries more than dynamic 
entries.

If a system has multiple default routes available with equal 
administrative distance and equal metrics, any sensible IP forwarding 
software might be expected to load balance, either on a per flow basis 
or per packet basis, in exactly the same way as any other routing entry.

regards,

> Date: Mon, 26 Sep 2011 16:12:31 +0530
> From: Naarumanchi Kaushik<[email-masked]>
> To: Jeroen Massar<[email-masked]>
> Cc:[email-masked]
> Subject: Re: Question on IPv6 Route table.
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain; charset="iso-8859-1"
>
> Before I try what you have suggested, i have a question.
> the way we have a default interface to be used(when there are multiple
> interfaces) in the route table for ipv4, why there was no unique default
> entry for ipv6 too?
>
> Assuming my route table looks like this:
> Destination     Gateway         Genmask         Flags Metric Ref    Use
> Iface
> 192.168.2.0     *               255.255.255.0   U     1      0        0 eth0
> 192.168.42.0    *               255.255.255.0   U     2      0        0 ra0
> link-local      *               255.255.0.0     U     1000   0        0 ra0
> default         192.168.2.254   0.0.0.0         UG    0      0        0 eth0
> Any packet destined to a global address will go through eth0 only. But in
> ipv6 when we have two entries(with same Next Hop, Same metrics) and if i had
> to select one of them, how do we ensure that everytime, we use the same
> interface?
> pls correct me if i am wrong.
>
>
>
>
> N.V.S.Kaushik.
>
>